from Cython.Build import cythonize
import numpy

#from os.path import dirname, join, realpath
from setuptools import setup, find_packages, Extension

extensions = [
    Extension('onlinemid.onlinemid.runningstats', ['src/onlinemid/runningstats.pyx', 'src/onlinemid/runningstats/runningstats_impl.cpp'],
              include_dirs=['src/onlinemid/runningstats',numpy.get_include()], 
              language='c++',
              extra_compile_args=[
                  '-std=c++20', 
                  '-O3', 
                  '-finline-functions',
                  '-m64',
                  '-funroll-loops',
                  '-march=native'
                  ],
             ),
]

setup(
    name="onlinemid",
    version="1.0.0",
    author="Mads Jakobsen",
    author_email="da-support@xfel.eu",
    ext_modules=cythonize(extensions, language_level = "3"),
    package_dir={"": "src"},
    packages=find_packages("src"),
)
